<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/styles.css">
  <title>Images Files Reader</title>
  <script src="js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script src="js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script type="text/javascript">
    $(document).ready(function() {
      if (!Modernizr.draganddrop && !window.FileList)
        alert("Your browser dosen't support the API File and Drang & Drop")

      $("#file").change(fileManager);

      function fileManager(e) {
        var file = e.target.files[0];

        if (!file.type.match("image.*")) {
          alert("The selected file have to be a image file");
          return;
        }

        var reader = new FileReader();

        reader.onload = function(e) {
          var img = new Image();
          img.src = e.target.result
          $("#content").append(img);
        }

        reader.readAsDataURL(file);
      }
    })
  </script>
</head>
<body>
  <header>
    <h1>Images Files Reader</h1>
  </header>
  <section>
    <form action="">
      <label for="file">Select a file:</label>
      <input type="file" name="file" id="file">
      <p>Images's content:</p>
      <div id="content"></div>
    </form>
  </section>
</body>